parseComplex {RpsiXML} | R Documentation

## Parse complex, interactor and experiment from PSI-MI 2.5 XML node

### Description

Wrappers of internal functions (".parsePsimi25Complex", ".parsePsimi25Interactor", ".parsePsimi25Experiment") to parse nodes from PSI-MI 2.5 XML node. By default these parsers is used in objects of `psimi25Source-class` without any modification. Though they can be overwritten in these objects in special cases, it is not advisory to do so due to the compatibility.

### Usage

    parseComplex(x, ...)
    parseInteractor(x, ...)
    parseExperiment(x, ...)

### Arguments

`x` | An object of the `psimi25Source-class`
`...` | Parameters passed to internal functions

### Value

Object of `psimi25Complex-class, \code{psimi25Interactor-class} or \code{psimi25Experiment-class}`

### Note

An newly initialized instance of `psimi25Source-class` contains the default form of these functions. Though they are allowd to be overwritten, it is not advisory to do so since this means the file to parse is not fully compatible with PSI-MI 2.5 standard. It is more sensible to contact the data provider before modifying or overwritting these functions.

### Author(s)

Jitao David Zhang <j.zhang@dkfz.de>, Tony Chiang <tchiang@ebi.ac.uk>

[Package RpsiXML version 1.0.0 Index]